Get transaction status
curl --request GET \
--url https://raptor.solanatracker.io/transaction/{signature}import requests
url = "https://raptor.solanatracker.io/transaction/{signature}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://raptor.solanatracker.io/transaction/{signature}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://raptor.solanatracker.io/transaction/{signature}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://raptor.solanatracker.io/transaction/{signature}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://raptor.solanatracker.io/transaction/{signature}")
.asString();require 'uri'
require 'net/http'
url = URI("https://raptor.solanatracker.io/transaction/{signature}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"signature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
"status": "confirmed",
"slot": 454215402,
"sent_at": 1791374181491,
"confirmed_at": 1791374182103,
"latency_ms": 612,
"events": [
{
"name": "SwapEvent",
"data": "…",
"parsed": {
"amountIn": 100000000,
"amountOut": 11703794
}
}
]
}{
"error": "Transaction not found.",
"code": 404
}{
"error": "<string>",
"code": 123
}API Reference
Get transaction status
Status of a transaction sent through POST /send-transaction. Poll about once a second until status is no longer pending. Transactions sent elsewhere return 404.
GET
/
transaction
/
{signature}
Get transaction status
curl --request GET \
--url https://raptor.solanatracker.io/transaction/{signature}import requests
url = "https://raptor.solanatracker.io/transaction/{signature}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://raptor.solanatracker.io/transaction/{signature}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://raptor.solanatracker.io/transaction/{signature}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://raptor.solanatracker.io/transaction/{signature}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://raptor.solanatracker.io/transaction/{signature}")
.asString();require 'uri'
require 'net/http'
url = URI("https://raptor.solanatracker.io/transaction/{signature}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"signature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
"status": "confirmed",
"slot": 454215402,
"sent_at": 1791374181491,
"confirmed_at": 1791374182103,
"latency_ms": 612,
"events": [
{
"name": "SwapEvent",
"data": "…",
"parsed": {
"amountIn": 100000000,
"amountOut": 11703794
}
}
]
}{
"error": "Transaction not found.",
"code": 404
}{
"error": "<string>",
"code": 123
}Path Parameters
Transaction signature, base58 or base64.
Response
Transaction status
pending: not landed yet. confirmed: landed at confirmed commitment. failed: landed with an error. expired: did not land in time.
Available options:
pending, confirmed, failed, expired When it was sent, Unix ms
Slot the transaction landed in
When it confirmed, Unix ms
Time from send to confirmation, ms
Error message when status is failed
Full transaction with metadata, once landed
Raw transaction, base64
Raptor program events emitted by the transaction
Show child attributes
Show child attributes
Was this page helpful?